@import 'src/assets/sass/mixin/bem';
@import 'src/assets/sass/layout/card';
@import 'src/assets/sass/layout/page';

@include page_layout;
@include card_layout;

@import '~prismjs/themes/prism.css';

.showdown-title {
  font-weight: 600;
}

.showMore {
  font-size: 14px;
  color: #ebb447;
}
.showMore:hover {
  cursor: pointer;
}

.elemInvisible {
  display: none;
}

p > code {
  background-color: #e2e2e2;
  padding: 2px 10px 2px 10px !important;
  // padding-right: 4px;
}

::ng-deep pre.language-html {
  max-width: 768px;
}

/* * * * * * * * * * * * * 
*   Unified styleguide   *
* * * * * * * * * * * * **/

/* text */

h1 {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 600;
  font-size: 36px;
  line-height: 48px;
  color: #212932;
}

h2 {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 600;
  font-size: 24px;
  line-height: 32px;
  color: #212932;
}

h3 {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 600;
  font-size: 18px;
  line-height: 25px;
  color: #212932;
}

h4 {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 700;
  font-size: rem(1.6);
  line-height: 24px;
  color: #212932;
}

h5 {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 600;
  font-size: 14px;
  line-height: 20px;
  color: #212932;
}

.intro {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 500;
  font-size: 24px;
  line-height: 36px;
  color: #212932;
}

p {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 500;
  font-size: 14px;
  line-height: 20px;
  color: #212932;
}

.bigger-text {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #212932;
}

.biggest-text {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 500;
  font-size: 18px;
  line-height: 32px;
  color: #212932;
}

.caption {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
  color: #212932;
}

/* links */
a {
  font-family: 'Noto Sans Display', sans-serif;
  font-weight: 700;
  font-size: 16px;
  line-height: 24px;
  color: #299ba3;
  text-decoration: none;
  transition: color 0.7s;
}

a:hover {
  text-decoration: none;
  color: var(--accent--dim);
}

a.mat-flat-button {
  transition: background-color 0.7s;
  font-weight: 600;
  border-radius: 5px;
  padding: 10px 116px;
  font-size: 16px;
  line-height: 24px;
  margin-top: 20px;
  color: white !important;
  display: inline-block;
}
a.mat-flat-button:hover,
a.mat-flat-button:active {
  text-decoration: none;
  color: white !important;
  background-color: var(--accent--dim);
}

a.inner-link-outlined--purple {
  border: 2px solid #7c5cd6;
  border-radius: 5px;
  padding: 10px 116px;
  margin-top: 20px;
  font-weight: 600;
  display: inline-block;
  color: #7c5cd6 !important;
  cursor: pointer;
}

a.inner-link-outlined--teal {
  border: 2px solid #299ba3;
  border-radius: 5px;
  padding: 10px 116px;
  margin-top: 20px;
  font-weight: 600;
  display: inline-block;
  color: #299ba3 !important;
  cursor: pointer;
}

/* Icons */

.elg-icon {
  height: 64px;
  width: 64px;
}

.elg-icon--app-services {
  background-image: url('/cms/sites/default/files/img/app-services.svg');
  background-repeat: no-repeat;
}

.elg-icon--b-chat {
  background-image: url('/cms/sites/default/files/img/b-chat.svg');
  background-repeat: no-repeat;
}
.elg-icon--book-open {
  background-image: url('/cms/sites/default/files/img/book-open.svg');
  background-repeat: no-repeat;
}
.elg-icon--book {
  background-image: url('/cms/sites/default/files/img/book.svg');
  background-repeat: no-repeat;
}
.elg-icon--cloud-forecast {
  background-image: url('/cms/sites/default/files/img/cloud-forecast.svg');
  background-repeat: no-repeat;
}
.elg-icon--compass {
  background-image: url('/cms/sites/default/files/img/compass.svg');
  background-repeat: no-repeat;
}
.elg-icon--content-delivery {
  background-image: url('/cms/sites/default/files/img/content-delivery.svg');
  background-repeat: no-repeat;
}
.elg-icon--electronic-circuit {
  background-image: url('/cms/sites/default/files/img/electronic-circuit.svg');
  background-repeat: no-repeat;
}
.elg-icon--loudspeaker {
  background-image: url('/cms/sites/default/files/img/loudspeaker.svg');
  background-repeat: no-repeat;
}
.elg-icon--machine-learning {
  background-image: url('/cms/sites/default/files/img/machine-learning.svg');
  background-repeat: no-repeat;
}
.elg-icon--network {
  background-image: url('/cms/sites/default/files/img/network.svg');
  background-repeat: no-repeat;
}
.elg-icon--note-code {
  background-image: url('/cms/sites/default/files/img/note-code.svg');
  background-repeat: no-repeat;
}
.elg-icon--show {
  background-image: url('/cms/sites/default/files/img/show.svg');
  background-repeat: no-repeat;
}
.elg-icon--single-copies {
  background-image: url('/cms/sites/default/files/img/single-copies.svg');
  background-repeat: no-repeat;
}
.elg-icon--single-copy {
  background-image: url('/cms/sites/default/files/img/single-copy.svg');
  background-repeat: no-repeat;
}

/* Colors */

.color-box {
  display: inline-block;
  // height: 32px;
  // width: 64px;
}

.text-white {
  color: white;
}

.color-primary {
  background-color: #ebb447;
}
.color-primary--grayish {
  background-color: var(--brand--background);
}
.color-grays--white {
  background-color: #ffffff;
}
.color-grays--offwhite {
  background-color: #f5f7fa;
}
.color-grays--glossy {
  background-color: #ccd2d8;
}
.color-grays--bright {
  background-color: #9ca5b0;
}
.color-grays--gloomy {
  background-color: #636e7b;
}
.color-grays--offblack {
  background-color: #212932;
}
.color-highlight--pink {
  background-color: #d65c9d;
}
.color-highlight--purple {
  background-color: #7c5cd6;
}
.color-highlight--mint {
  background-color: #25c58f;
}
.color-highlight--teal {
  background-color: #299ba3;
}

table td {
  padding: 8px;
}
